{ config, pkgs, fzgo_paths }:
let
    mkLink = source_path: file_type: {
        "${source_path}_${file_type}" = {
            source = config.lib.file.mkOutOfStoreSymlink source_path;
            target = ".config/fzgo/entries/${file_type}/${pkgs.lib.strings.replaceStrings [ "/" ] [ "|" ] source_path}";
        };
    };
    mkLinks = source_path: (mkLink source_path "d") // (mkLink source_path "f");
in {
    home.file = pkgs.lib.mkMerge (map mkLinks fzgo_paths);
}
